
<!-- This nav gives you links to click, which tells the router which route to use (defined in the routes constant in  AppRoutingModule) -->
<nav class="navbar bg-light">
  <div class="container-fluid">
  <a class="navbar-brand" href="#">Reviews</a>
  <ul class="nav nav-pills">
    <li *ngIf="hasAuthorAccess()" class="nav-item"><a class="nav-link" routerLink="/author" routerLinkActive="active" ariaCurrentWhenActive="page">Author</a></li>
    <li *ngIf="hasEditorAccess()" class="nav-item"><a class="nav-link" routerLink="/editor" routerLinkActive="active" ariaCurrentWhenActive="page">Editor</a></li>
    <li *ngIf="hasReviewerAccess()" class="nav-item"><a class="nav-link" routerLink="/reviewer" routerLinkActive="active" ariaCurrentWhenActive="page">Reviewer</a></li>
    <li class="nav-item"><a class="nav-link" [href]="'/users/' + user?.username" >My Profile</a></li>
  </ul>
<span class="navbar-text"> {{user?.username}}</span>
  </div>
</nav>
<!-- The routed views render in the <router-outlet>-->
<app-alert></app-alert>
<router-outlet></router-outlet>
